#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	kpmcore
Version		:	23.04.2
Release		:	14.4.0.0%{?dist}
Summary		:	Library for managing partitions by KDE programs
Group		:	System Environment/Libraries

Packager	:	Jean-Marc Pigeon	<jmp@safe.ca>

License		:	GPLv3+
URL		:	https://github.com/KDE/kpmcore/tags
			#https://github.com/calamares/calamares/releases

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	util-linux
BuildRequires	:	parted
BuildRequires	:	cmake
BuildRequires	:	extra-cmake-modules
BuildRequires	:	libatasmart
BuildRequires	:	kcoreaddons
BuildRequires	:	ki18n
BuildRequires	:	kwidgetsaddons
BuildRequires	:	glu-devel
#-----------------------------------------------------------------------------
%description
KPMcore contains common code for managing partitions by
KDE Partition Manager and other KDE projects
 

#-----------------------------------------------------------------------------
%files			-f %{name}.lang -f %{name}._policy_.lang
%defattr(-,root,root,-)
%doc README.md
%{_includedir}/%{name}/*/*.h
%{_libdir}/cmake/KPMcore/*.cmake
%{_libdir}/lib%{name}*.so*
%{_libdir}/libexec/%{name}_externalcommand
%{_datadir}/dbus-1/system-services/org.kde.kpmcore.helperinterface.service
%{_datadir}/dbus-1/system.d/org.kde.kpmcore.helperinterface.conf
%{_datadir}/polkit-1/actions/org.kde.kpmcore.externalcommand.policy
%{_datadir}/plugins/%{name}/*plugin.so

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build
%{__mkdir} bld
pushd bld

cmake								\
	-D CMAKE_INSTALL_PREFIX=%{_prefix}			\
	-D CMAKE_INSTALL_LIBDIR=%{_libdir}			\
	-D KDE_INSTALL_BINDIR=%{_bindir}			\
	-D KDE_INSTALL_LIBDIR=%{_libdir}			\
	-D KDE_INSTALL_INCLUDEDIR=%{_includedir}		\
	..

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}
popd

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}							\
	-C bld							\
	DESTDIR=%{buildroot}					\
	install

%find_lang %{name}
%find_lang %{name}._policy_
#-----------------------------------------------------------------------------
%changelog
